-- ----------------------------------------------------------------------------
goalBlockHookman.mSteps = 
{
	{ action = "click", object = objectIoDoorOpen01Hook01 },
	{ action = "click", object = objectIoDoorOpen01Hook02 },
	{ action = "click", object = objectIoDoorOpen01Hook03 },
	{ action = "click", object = objectIoDoorOpen01Hook04 },
	{ action = "click", object = objectIoDoorOpen02Hook01 },
	{ action = "click", object = objectIoDoorOpen02Hook02 },
	{ action = "click", object = objectIoDoorOpen02Hook03 },
	{ action = "click", object = objectIoDoorOpen02Hook04 },
	{ action = "click", object = objectIoDoorOpen02Hook05 },
}
-- ----------------------------------------------------------------------------
goalBlockHookman.readyToStart = false
-- ----------------------------------------------------------------------------
function goalBlockHookman:shouldStart()
	
	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalBlockHookman:onStarted()

	-- Start Action Puzzle
	layoutCryptSecretDoorInside:hide()
	layoutCryptSecretDoor:show()
	layoutCryptSecretDoor:startActionPuzzle()
	
end
-- ----------------------------------------------------------------------------
function goalBlockHookman:onMovieFinish(movieName)

	if (movieName == kMovieBarricade) then
		self:achieved()
		
		-- place the player in the cemetery 
		-- and lock the crypt
		layoutCemetery:show() 
		objectExitCemeteryCrypt:ss(kLocked)	-- lock the crypt
		objectPoiFenceHole03:ss(kLocked) -- lock the fence
		objectExitWoods2Lakeside:ss(kLocked) -- lock the lakeside
		objectExitWoods1Lakeside:ss(kLocked) -- lock the lakeside
--		objectExitWoods1Loverslane:ss(kLocked) -- lock the car
		objectExitWoods1Woods2:ss(kLocked) -- lock the woods
		objectPoiBobcatCave:ss(kLocked) -- lock the bobcat cave
		objectPoiTrunkOpen:ss(kLocked) -- lock the trunk
		objectPoiKiosk:ss(kLocked) -- lock the kiosk		
		objectPoiGloveBoxOpenNoKey:ss(kLocked) -- lock the glovebox
		
	end

end
-- ----------------------------------------------------------------------------
function goalBlockHookman:onAnimationFinish(animationName)
	
	if (animationName == "hookManEyesLift_blocking") then
		
		self.readyToStart = true
	
	elseif (animationName == "actionPuzzleFinished_blocking") then
		
		ghf.cancelAnimation("bangingDoorLoop")
		objectBouncingSecretDoor:ss(kDone)
		
		objectBreakingSecretDoor:ss(kIdle)
		animLoop(objectBreakingSecretDoor, "breakingDoorLoop", 65, 100, 100, 300)
		objectPoiSecretDoorCrypt:ss(kIdle)
		objectBeam:ss(kInactive)
	
		play(movieSettings[kMovieBarricade])
	
	end
	
end